ranch:remove_connection(3)

NAME

ranch:remove_connection - Remove connection from the count

DESCRIPTION
    remove_connection(Ref :: ranch:ref()) -> ok

Remove connection from the count.

This connection will no longer be included in the count when limiting the number of connections. This can be useful in a mixed environment where some connections are active and others are passive. Passive connections spend most of their time idling and are not consuming much resources.

This function may only be called from a connection process.

ARGUMENTS

Ref
    The listener name.

RETURN VALUE

The atom ok is always returned. It can be safely ignored.

EXAMPLES

Remove the connection process from the count
    ranch:remove_connection(example).

SEE ALSO

ranch:start_listener(3), ranch:handshake(3), ranch(3)